use std::fs;
use std::io;

const GREETINGS: &[u8] = b"Greetings!\r\n\r\nUse a BBS terminal like syncterm \
to connect by\r\ntelnet port 23\r\ndialin number TBD\r\nssh with user bbs and \
password doesntmatter\r\n\r\n";
//const PROMPT_ANY_KEY: &[u8] = b"\r\n<Apply adequate pressure to your favorite key...>";
const PROMPT_ANY_KEY: &[u8] = b"\r\nStill hacking on this thing, come back later...";

pub struct Theme {
    pub banner: Vec<u8>,
    pub header: Vec<u8>,
    pub bye: Vec<u8>,
}

impl Theme {
    pub fn new(name: &str) -> io::Result<Self> {
        let mut banner = Vec::new();
        banner.extend_from_slice(&GREETINGS);
        banner.extend(fs::read(format!("themes/{}/camp-logo.ans", name))?);
        banner.extend_from_slice(&PROMPT_ANY_KEY);
        let bye = fs::read(format!("themes/{}/htp.ans", name))?;
        let header = fs::read(format!("themes/{}/header.ans", name))?;

        Ok(Self {
            banner,
            header,
            bye,
        })
    }
}
